## get-iplayer 2.78

=== Makefile ===
dummy:
	@echo No need to make anything.

ifdef VERSION
tag:
	@git update-index --refresh --unmerged
	@if git diff-index --name-only HEAD | grep ^ ; then \
		echo Uncommitted changes in above files; exit 1; fi
	sed 's/^\(my $$version = \).*/\1$(VERSION);/' -i get_iplayer
	@git commit -m "Tag version $(VERSION)" get_iplayer
	@git tag v$(VERSION)

tarball:
	@git update-index --refresh --unmerged
	@if git diff-index --name-only v$(VERSION) | grep ^ ; then \
		echo Uncommitted changes in above files; exit 1; fi
	git archive --format=tar --prefix=get_iplayer-$(VERSION)/ v$(VERSION) | gzip -9 > get_iplayer-$(VERSION).tar.gz
endif

=== debian/changelog ===
get-iplayer (2.78-2) unstable; urgency=low

  * New patch livetv-587146 from upstream: fix live streaming of BBC One
    (Closes: #587146)

 -- Jonathan Wiltshire <debian@jwiltshire.org.uk>  Fri, 25 Jun 2010 15:51:24 +0100

get-iplayer (2.78-1) unstable; urgency=low

  * New upstream release
      Closes: #582812, #582905
      LP: #505433
  * Update watch file
  * Patch limelight-cdn-582659 is integrated upstream
  * New patch manpage to include manual, temporarily until this is fixed
    upstream
  * Remove old NEWS

 -- Jonathan Wiltshire <debian@jwiltshire.org.uk>  Sat, 29 May 2010 14:08:44 +0100

get-iplayer (2.76-2) unstable; urgency=low

  * Use source Format: 3.0 (quilt)
  * New patch limelight-cdn-582659 after the BBC changed their CDN paths
    (Closes: #582659) - thanks to fsck

 -- Jonathan Wiltshire <debian@jwiltshire.org.uk>  Sun, 23 May 2010 18:14:06 +0100

get-iplayer (2.76-1) unstable; urgency=low

  * New upstream release
  * debian/source/format: explicitly declare format 1.0

 -- Jonathan Wiltshire <debian@jwiltshire.org.uk>  Sun, 04 Apr 2010 16:06:48 +0100

get-iplayer (2.68-1) unstable; urgency=medium

  * New upstream release fixes total breakage

 -- Jonathan Wiltshire <debian@jwiltshire.org.uk>  Tue, 23 Feb 2010 08:13:21 +0000

get-iplayer (2.66-1) unstable; urgency=low

  * New upstream release
  * Standards version 3.8.4
  * debian/patches/no-warn-etc: integrated upstream
  * Remove quilt dependency and logic, now that there are no outstanding
    patches

 -- Jonathan Wiltshire <debian@jwiltshire.org.uk>  Fri, 29 Jan 2010 00:05:17 +0000

get-iplayer (2.51-1) unstable; urgency=medium

  * New upstream release fixes total breakage

 -- Jonathan Wiltshire <debian@jwiltshire.org.uk>  Wed, 23 Dec 2009 16:43:39 +0000

get-iplayer (2.49-1) unstable; urgency=low

  * New upstream release
  * debian/rules, debian/control: Add quilt patch system
  * Move configuration to /etc/get_iplayer (closes: #558098)
    - patch no-warn-etc: get_iplayer: load configuration from /etc and do
      not warn about it
    - debian/install: Install configuration to /etc/get_iplayer/options
    - link /var/link/get_iplayer/options to /etc/get_iplayer/options
      until upstream fix it properly
    - during installation, copy local modifications to the new options file

 -- Jonathan Wiltshire <debian@jwiltshire.org.uk>  Thu, 26 Nov 2009 19:08:35 +0000

get-iplayer (2.47-1) unstable; urgency=low

  * New upstream release
  * debian/control: add Recommends for AtomicParsley

 -- Jonathan Wiltshire <debian@jwiltshire.org.uk>  Mon, 09 Nov 2009 09:04:00 +0000

get-iplayer (2.41-1) unstable; urgency=low

  * New upstream release

 -- Jonathan Wiltshire <debian@jwiltshire.org.uk>  Sun, 18 Oct 2009 15:03:19 +0100

get-iplayer (2.39-1) unstable; urgency=low

  * New upstream release
  * Tidy long description formatting (Closes: #543769)
  * Remove suggestion for package lame (Closes: #548342)

 -- Jonathan Wiltshire <debian@jwiltshire.org.uk>  Fri, 25 Sep 2009 19:05:22 +0100

get-iplayer (2.36-1) unstable; urgency=low

  [ Jonathan Wiltshire ]
  * New upstream release
  * Add recommendation for libmp3-info-perl (MP3::Info)

  [ Martin Meredith ]
  * Added DM-Upload-Allowed field to control

 -- Jonathan Wiltshire <debian@jwiltshire.org.uk>  Thu, 17 Sep 2009 17:29:51 +0100

get-iplayer (2.26-1) unstable; urgency=low

  * New upstream version
  * Set section to video from misc
  * Add Recommends: flvstreamer, id3v2; Suggests: mplayer, ffmpeg, lame
    (Closes: #545130)

 -- Jonathan Wiltshire <debian@jwiltshire.org.uk>  Sat, 05 Sep 2009 17:53:47 +0100

get-iplayer (2.22-1) unstable; urgency=low

  * New upstream version
  * Standards-Version 3.8.3 (no changes required)
  * Install options to /var/lib/get_iplayer

 -- Jonathan Wiltshire <debian@jwiltshire.org.uk>  Sat, 29 Aug 2009 20:52:27 +0100

get-iplayer (2.09-1) unstable; urgency=low

  * Initial release (Closes: #512754)

 -- Jonathan Wiltshire <debian@jwiltshire.org.uk>  Mon, 13 Jul 2009 23:26:34 +0100

=== debian/control ===
Source: get-iplayer
Section: video
Priority: optional
Maintainer: Jonathan Wiltshire <debian@jwiltshire.org.uk>
Build-Depends: debhelper (>= 7.2.8)
Standards-Version: 3.8.4
Homepage: http://linuxcentre.net/iplayer
Dm-Upload-Allowed: yes

Package: get-iplayer
Architecture: all
Depends: libwww-perl, ${perl:Depends}, ${misc:Depends}
Recommends: flvstreamer, id3v2, libmp3-info-perl, atomicparsley
Suggests: mplayer, ffmpeg
Description: download/stream available BBC iPlayer TV and radio programmes
 get_iplayer lists, searches and records BBC iPlayer TV/Radio, BBC Podcast
 programmes. Other third-party plugins may be available.
 .
 get_iplayer has three modes: recording a complete programme for later
 playback, streaming a programme directly to a playback application,
 such as mplayer; and as a Personal Video Recorder (PVR), subscribing to
 search terms and recording programmes automatically. It can also stream
 or record live BBC iPlayer output.

## get-iplayer 2.78-1

=== debian/changelog ===
get-iplayer (2.78-1) stable; urgency=low

  * no changelog

 -- Arttu Rajantie <arajantie@yahoo.co.uk>  Fri, 30 Jul 2010 23:18:01 +0000

=== debian/control ===
Source: get-iplayer
Section: user/multimedia
Priority: extra
Maintainer: Arttu Rajantie <arajantie@yahoo.co.uk>
Build-Depends: debhelper (>= 5)
Standards-Version: 3.7.2

Package: get-iplayer
Architecture: all
Depends: libwww-perl, rtmpdump
Description: get_iplayer script.
  This Perl script downloads TV programs from the BBC iPlayer website. Only works in the UK. See http://www.infradead.org/get_iplayer/html/get_iplayer.html for more information.
XSBC-Bugtracker: http://bugs.maemo.org

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp

build: build-stamp

build-stamp: configure-stamp
	dh_testdir
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# ======================================================
	#$(MAKE) DESTDIR="$(CURDIR)/debian/get-iplayer" install
	mkdir -p "$(CURDIR)/debian/get-iplayer"

#	mkdir -p "$(CURDIR)/debian/get-iplayer/opt/get_iplayer/windows/get_iplayer/"
	cp -a "src/opt/get_iplayer/windows/get_iplayer/get_iplayer.cgi.cmd" "$(CURDIR)/debian/get-iplayer/opt/get_iplayer/windows/get_iplayer/get_iplayer.cgi.cmd"
	mkdir -p "$(CURDIR)/debian/get-iplayer/opt/get_iplayer/windows/get_iplayer/"
	cp -a "src/opt/get_iplayer/windows/get_iplayer/get_iplayer.cmd" "$(CURDIR)/debian/get-iplayer/opt/get_iplayer/windows/get_iplayer/get_iplayer.cmd"
	mkdir -p "$(CURDIR)/debian/get-iplayer/opt/get_iplayer/windows/get_iplayer/"
	cp -a "src/opt/get_iplayer/windows/get_iplayer/get_iplayer_setup.nsi" "$(CURDIR)/debian/get-iplayer/opt/get_iplayer/windows/get_iplayer/get_iplayer_setup.nsi"
	mkdir -p "$(CURDIR)/debian/get-iplayer/opt/get_iplayer/windows/get_iplayer/"
	cp -a "src/opt/get_iplayer/windows/get_iplayer/iplayer_logo.ico" "$(CURDIR)/debian/get-iplayer/opt/get_iplayer/windows/get_iplayer/iplayer_logo.ico"
	mkdir -p "$(CURDIR)/debian/get-iplayer/opt/get_iplayer/windows/get_iplayer/"
	cp -a "src/opt/get_iplayer/windows/get_iplayer/options" "$(CURDIR)/debian/get-iplayer/opt/get_iplayer/windows/get_iplayer/options"
	mkdir -p "$(CURDIR)/debian/get-iplayer/opt/get_iplayer/windows/get_iplayer/"
	cp -a "src/opt/get_iplayer/windows/get_iplayer/pvr_manager.cmd" "$(CURDIR)/debian/get-iplayer/opt/get_iplayer/windows/get_iplayer/pvr_manager.cmd"
	mkdir -p "$(CURDIR)/debian/get-iplayer/opt/get_iplayer/windows/get_iplayer/"
	cp -a "src/opt/get_iplayer/windows/get_iplayer/run_pvr.bat" "$(CURDIR)/debian/get-iplayer/opt/get_iplayer/windows/get_iplayer/run_pvr.bat"
	mkdir -p "$(CURDIR)/debian/get-iplayer/opt/get_iplayer/windows/get_iplayer/"
	cp -a "src/opt/get_iplayer/windows/get_iplayer/update_get_iplayer.cmd" "$(CURDIR)/debian/get-iplayer/opt/get_iplayer/windows/get_iplayer/update_get_iplayer.cmd"
	mkdir -p "$(CURDIR)/debian/get-iplayer/opt/get_iplayer/windows/installer_files/"
	cp -a "src/opt/get_iplayer/windows/installer_files/LICENSE.txt" "$(CURDIR)/debian/get-iplayer/opt/get_iplayer/windows/installer_files/LICENSE.txt"
	mkdir -p "$(CURDIR)/debian/get-iplayer/opt/get_iplayer/windows/installer_files/"
	cp -a "src/opt/get_iplayer/windows/installer_files/help.ico" "$(CURDIR)/debian/get-iplayer/opt/get_iplayer/windows/installer_files/help.ico"
	mkdir -p "$(CURDIR)/debian/get-iplayer/opt/get_iplayer/windows/installer_files/"
	cp -a "src/opt/get_iplayer/windows/installer_files/iplayer_logo.ico" "$(CURDIR)/debian/get-iplayer/opt/get_iplayer/windows/installer_files/iplayer_logo.ico"
	mkdir -p "$(CURDIR)/debian/get-iplayer/opt/get_iplayer/"
	cp -a "src/opt/get_iplayer/CHANGELOG-get_iplayer.cgi.txt" "$(CURDIR)/debian/get-iplayer/opt/get_iplayer/CHANGELOG-get_iplayer.cgi.txt"
	mkdir -p "$(CURDIR)/debian/get-iplayer/opt/get_iplayer/"
	cp -a "src/opt/get_iplayer/CHANGELOG.txt" "$(CURDIR)/debian/get-iplayer/opt/get_iplayer/CHANGELOG.txt"
	mkdir -p "$(CURDIR)/debian/get-iplayer/opt/get_iplayer/"
	cp -a "src/opt/get_iplayer/LICENSE.txt" "$(CURDIR)/debian/get-iplayer/opt/get_iplayer/LICENSE.txt"
	mkdir -p "$(CURDIR)/debian/get-iplayer/opt/get_iplayer/"
	cp -a "src/opt/get_iplayer/Makefile" "$(CURDIR)/debian/get-iplayer/opt/get_iplayer/Makefile"
	mkdir -p "$(CURDIR)/debian/get-iplayer/opt/get_iplayer/"
	cp -a "src/opt/get_iplayer/README-get_iplayer.cgi.txt" "$(CURDIR)/debian/get-iplayer/opt/get_iplayer/README-get_iplayer.cgi.txt"
	mkdir -p "$(CURDIR)/debian/get-iplayer/opt/get_iplayer/"
	cp -a "src/opt/get_iplayer/README.txt" "$(CURDIR)/debian/get-iplayer/opt/get_iplayer/README.txt"
	mkdir -p "$(CURDIR)/debian/get-iplayer/opt/get_iplayer/"
	cp -a "src/opt/get_iplayer/get_iplayer" "$(CURDIR)/debian/get-iplayer/opt/get_iplayer/get_iplayer"
	mkdir -p "$(CURDIR)/debian/get-iplayer/opt/get_iplayer/"
	cp -a "src/opt/get_iplayer/get_iplayer.cgi" "$(CURDIR)/debian/get-iplayer/opt/get_iplayer/get_iplayer.cgi"
	mkdir -p "$(CURDIR)/debian/get-iplayer/opt/get_iplayer/"
	cp -a "src/opt/get_iplayer/make-nsis.sh" "$(CURDIR)/debian/get-iplayer/opt/get_iplayer/make-nsis.sh"
	mkdir -p "$(CURDIR)/debian/get-iplayer/opt/get_iplayer/"
	cp -a "src/opt/get_iplayer/web.sh" "$(CURDIR)/debian/get-iplayer/opt/get_iplayer/web.sh"
	mkdir -p "$(CURDIR)/debian/get-iplayer/usr/bin/"
	cp -a "src/usr/bin/get_iplayer" "$(CURDIR)/debian/get-iplayer/usr/bin/get_iplayer"
	mkdir -p "$(CURDIR)/debian/get-iplayer/opt/get_iplayer/plugins/"
	cp -a "src/opt/get_iplayer/plugins/localfiles.plugin" "$(CURDIR)/debian/get-iplayer/opt/get_iplayer/plugins/localfiles.plugin"
	mkdir -p "$(CURDIR)/debian/get-iplayer/opt/get_iplayer/plugins/"
	cp -a "src/opt/get_iplayer/plugins/plugin.template" "$(CURDIR)/debian/get-iplayer/opt/get_iplayer/plugins/plugin.template"
	mkdir -p "$(CURDIR)/debian/get-iplayer/opt/get_iplayer/plugins/"
	cp -a "src/opt/get_iplayer/plugins/podcast.plugin" "$(CURDIR)/debian/get-iplayer/opt/get_iplayer/plugins/podcast.plugin"

	# ======================================================

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs debian/changelog
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## get-iplayer 2.79

=== Makefile ===
--- 
+++ 
@@ -7,7 +7,8 @@
 	@if git diff-index --name-only HEAD | grep ^ ; then \
 		echo Uncommitted changes in above files; exit 1; fi
 	sed 's/^\(my $$version = \).*/\1$(VERSION);/' -i get_iplayer
-	@git commit -m "Tag version $(VERSION)" get_iplayer
+	@./get_iplayer --manpage get_iplayer.1; git add get_iplayer.1
+	@git commit -m "Tag version $(VERSION)" get_iplayer get_iplayer.1
 	@git tag v$(VERSION)
 
 tarball:

=== debian/changelog ===
get-iplayer (2.79-2) unstable; urgency=low

  * Patch for Radio 4 Extra support

 -- Jonathan Wiltshire <jmw@debian.org>  Sat, 02 Apr 2011 16:53:41 +0100

get-iplayer (2.79-1) unstable; urgency=low

  * New upstream release (closes: #608955, #608956, #608958)
  * Update my email address and remove DMUA flag
  * Standards version 3.9.1 (no changes)
  * Update debian/copyright, including formatting according to new DEP-5
    spec
  * Patches applied upstream:
      manpage
      livetv-587146

 -- Jonathan Wiltshire <jmw@debian.org>  Sun, 09 Jan 2011 20:45:39 +0000

=== debian/control ===
Source: get-iplayer
Section: video
Priority: optional
Maintainer: Jonathan Wiltshire <jmw@debian.org>
Build-Depends: debhelper (>= 7.2.8)
Standards-Version: 3.9.1
Homepage: http://linuxcentre.net/iplayer

Package: get-iplayer
Architecture: all
Depends: libwww-perl, ${perl:Depends}, ${misc:Depends}
Recommends: flvstreamer, id3v2, libmp3-info-perl, atomicparsley
Suggests: mplayer, ffmpeg
Description: download/stream available BBC iPlayer TV and radio programmes
 get_iplayer lists, searches and records BBC iPlayer TV/Radio, BBC Podcast
 programmes. Other third-party plugins may be available.
 .
 get_iplayer has three modes: recording a complete programme for later
 playback, streaming a programme directly to a playback application,
 such as mplayer; and as a Personal Video Recorder (PVR), subscribing to
 search terms and recording programmes automatically. It can also stream
 or record live BBC iPlayer output.

## get-iplayer 2.80

=== Makefile ===
--- 
+++ 
@@ -7,8 +7,12 @@
 	@if git diff-index --name-only HEAD | grep ^ ; then \
 		echo Uncommitted changes in above files; exit 1; fi
 	sed 's/^\(my $$version = \).*/\1$(VERSION);/' -i get_iplayer
-	@./get_iplayer --manpage get_iplayer.1; git add get_iplayer.1
-	@git commit -m "Tag version $(VERSION)" get_iplayer get_iplayer.1
+	@./get_iplayer --manpage get_iplayer.1
+	git diff --exit-code get_iplayer.1 > /dev/null || \
+		sed 's/\(\.TH GET_IPLAYER "1" "\)[^"]*"/\1$(shell date +"%B %Y")\"/' -i get_iplayer get_iplayer.1
+	sed 's/\(The latest version is v\)[0-9]\{1,\}\.[0-9]\{1,\}/\1$(VERSION)/' -i html/get_iplayer.html
+	@git log --format='%aN' |sort -u > CONTRIBUTORS; git add CONTRIBUTORS
+	@git commit -m "Tag version $(VERSION)" get_iplayer get_iplayer.1 html/get_iplayer.html CONTRIBUTORS
 	@git tag v$(VERSION)
 
 tarball:

=== debian/changelog ===
get-iplayer (2.80-2) unstable; urgency=low

  * Promote flvstreamer to dependency and add rtmpdump as primary alternative
    (Closes: #643666)
  * Preparing to add a second binary package
  * Install web PVR CGI and wrapper script

 -- Jonathan Wiltshire <jmw@debian.org>  Mon, 02 Jan 2012 22:26:36 +0000

get-iplayer (2.80-1) unstable; urgency=low

  * New upstream release

 -- Jonathan Wiltshire <jmw@debian.org>  Tue, 30 Aug 2011 21:27:01 +0100

get-iplayer (2.79+git20110807-1) unstable; urgency=low

  * New upstream snapshot
  * Add dependency on libxml-simple-perl (Closes: #611730)
  * Patch radio4extra.patch is integrated upstream
  * Standards-Version 3.9.2 (no changes)

 -- Jonathan Wiltshire <jmw@debian.org>  Sun, 07 Aug 2011 23:00:49 +0100

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,13 @@
 Priority: optional
 Maintainer: Jonathan Wiltshire <jmw@debian.org>
 Build-Depends: debhelper (>= 7.2.8)
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Homepage: http://linuxcentre.net/iplayer
 
 Package: get-iplayer
 Architecture: all
-Depends: libwww-perl, ${perl:Depends}, ${misc:Depends}
-Recommends: flvstreamer, id3v2, libmp3-info-perl, atomicparsley
+Depends: rtmpdump | flvstreamer, libwww-perl, libxml-simple-perl, ${perl:Depends}, ${misc:Depends}
+Recommends: id3v2, libmp3-info-perl, atomicparsley
 Suggests: mplayer, ffmpeg
 Description: download/stream available BBC iPlayer TV and radio programmes
  get_iplayer lists, searches and records BBC iPlayer TV/Radio, BBC Podcast

## get-iplayer 2.80+git20120314

=== debian/changelog ===
get-iplayer (2.80+git20120314-1) unstable; urgency=low

  * Upstream snapshot (Closes: #653485, #611473, #652305)
  * Standards-version 3.9.3 (no changes)

 -- Jonathan Wiltshire <jmw@debian.org>  Wed, 14 Mar 2012 22:28:23 +0000

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Jonathan Wiltshire <jmw@debian.org>
 Build-Depends: debhelper (>= 7.2.8)
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://linuxcentre.net/iplayer
 
 Package: get-iplayer

## get-iplayer 2.82

=== debian/changelog ===
get-iplayer (2.82-2) unstable; urgency=low

  * New patch livetv.patch fixes live tv streaming after BBC changes

 -- Jonathan Wiltshire <jmw@debian.org>  Wed, 27 Jun 2012 18:56:20 +0100

get-iplayer (2.82-1) unstable; urgency=low

  * New upstream release
  * Update homepage

 -- Jonathan Wiltshire <jmw@debian.org>  Mon, 04 Jun 2012 23:40:10 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Jonathan Wiltshire <jmw@debian.org>
 Build-Depends: debhelper (>= 7.2.8)
 Standards-Version: 3.9.3
-Homepage: http://linuxcentre.net/iplayer
+Homepage: http://www.infradead.org/get_iplayer
 
 Package: get-iplayer
 Architecture: all

## get-iplayer 2.82+git20130519

=== Makefile ===
--- 
+++ 
@@ -7,12 +7,13 @@
 	@if git diff-index --name-only HEAD | grep ^ ; then \
 		echo Uncommitted changes in above files; exit 1; fi
 	sed 's/^\(my $$version = \).*/\1$(VERSION);/' -i get_iplayer
+	sed 's/^\(my $$VERSION = \).*/\1$(VERSION);/' -i get_iplayer.cgi
 	@./get_iplayer --manpage get_iplayer.1
 	git diff --exit-code get_iplayer.1 > /dev/null || \
 		sed 's/\(\.TH GET_IPLAYER "1" "\)[^"]*"/\1$(shell date +"%B %Y")\"/' -i get_iplayer get_iplayer.1
 	sed 's/\(The latest version is v\)[0-9]\{1,\}\.[0-9]\{1,\}/\1$(VERSION)/' -i html/get_iplayer.html
 	@git log --format='%aN' |sort -u > CONTRIBUTORS; git add CONTRIBUTORS
-	@git commit -m "Tag version $(VERSION)" get_iplayer get_iplayer.1 html/get_iplayer.html CONTRIBUTORS
+	@git commit -m "Tag version $(VERSION)" get_iplayer get_iplayer.1 html/get_iplayer.html CONTRIBUTORS get_iplayer.cgi
 	@git tag v$(VERSION)
 
 tarball:

=== debian/changelog ===
get-iplayer (2.82+git20130519-1) unstable; urgency=low

  * New upstream snapshot (Closes: #697976)
  * Remove livetv.patch, it is integrated upstream
  * Add VCS fields to debian/control
  * Standards-version 3.9.4
  * Use debhelper compat level 9

 -- Jonathan Wiltshire <jmw@debian.org>  Sun, 19 May 2013 20:41:13 +0100

## get-iplayer 2.82+git20130608

=== debian/changelog ===
get-iplayer (2.82+git20130608-1) unstable; urgency=low

  * New upstream snapshot (Closes: #711538)

 -- Jonathan Wiltshire <jmw@debian.org>  Sat, 08 Jun 2013 22:17:12 +0100

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,11 @@
 Section: video
 Priority: optional
 Maintainer: Jonathan Wiltshire <jmw@debian.org>
-Build-Depends: debhelper (>= 7.2.8)
-Standards-Version: 3.9.3
+Build-Depends: debhelper (>= 9)
+Standards-Version: 3.9.4
 Homepage: http://www.infradead.org/get_iplayer
+Vcs-Git: git://git.debian.org/git/collab-maint/get-iplayer.git -b debian
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/get-iplayer.git
 
 Package: get-iplayer
 Architecture: all

=== debian/watch ===
# See uscan(1) for format

# Compulsory line, this is a version 3 file
version=3

ftp://ftp.infradead.org/pub/get_iplayer/get_iplayer-(.*)\.tar\.gz

## get-iplayer 2.83

=== Makefile ===
dummy:
	@echo No need to make anything.

ifdef VERSION
tag:
	@git update-index --refresh --unmerged
	@if git diff-index --name-only HEAD | grep ^ ; then \
		echo Uncommitted changes in above files; exit 1; fi
	sed -i.bak -e 's/^\(my $$version = \).*/\1$(VERSION);/' get_iplayer
	sed -i.bak -e 's/^\(my $$VERSION = \).*/\1$(VERSION);/' get_iplayer.cgi
	rm -f get_iplayer.bak get_iplayer.cgi.bak
	@./get_iplayer --manpage get_iplayer.1
	git diff --exit-code get_iplayer.1 > /dev/null || \
	sed -i.bak -e 's/\(\.TH GET_IPLAYER "1" "\)[^"]*"/\1$(shell date +"%B %Y")\"/' get_iplayer get_iplayer.1
	sed -i.bak -e 's/\(The latest version is v\)[0-9]\{1,\}\.[0-9]\{1,\}/\1$(VERSION)/' html/get_iplayer.html
	rm -f get_iplayer.bak get_iplayer.1.bak html/get_iplayer.html.bak
	@git log --format='%aN' |sort -u > CONTRIBUTORS; git add CONTRIBUTORS
	@git commit -m "Tag version $(VERSION)" get_iplayer get_iplayer.1 html/get_iplayer.html CONTRIBUTORS get_iplayer.cgi
	@git tag v$(VERSION)

tarball:
	@git update-index --refresh --unmerged
	@if git diff-index --name-only v$(VERSION) | grep ^ ; then \
		echo Uncommitted changes in above files; exit 1; fi
	git archive --format=tar --prefix=get_iplayer-$(VERSION)/ v$(VERSION) | gzip -9 > get_iplayer-$(VERSION).tar.gz
endif

=== debian/changelog ===
get-iplayer (2.83-1) unstable; urgency=low

  * New upstream release:
    - Fix up radio URL changes by BBC
    - Use avconv if available (Closes: #684945)
  * debian/get-iplayer.docs: rename README.txt to README.md
  * Suggest libav-tools as an alternative, now that get-iplayer can use avconv
  * Normalise debian/copyright to be v1.0
  * Normalise VCS fields

 -- Jonathan Wiltshire <jmw@debian.org>  Sun, 23 Jun 2013 19:20:33 +0100

=== debian/control ===
--- 
+++ 
@@ -5,14 +5,14 @@
 Build-Depends: debhelper (>= 9)
 Standards-Version: 3.9.4
 Homepage: http://www.infradead.org/get_iplayer
-Vcs-Git: git://git.debian.org/git/collab-maint/get-iplayer.git -b debian
+Vcs-Git: git://anonscm.debian.org/collab-maint/get-iplayer.git -b debian
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/get-iplayer.git
 
 Package: get-iplayer
 Architecture: all
 Depends: rtmpdump | flvstreamer, libwww-perl, libxml-simple-perl, ${perl:Depends}, ${misc:Depends}
 Recommends: id3v2, libmp3-info-perl, atomicparsley
-Suggests: mplayer, ffmpeg
+Suggests: mplayer, ffmpeg | libav-tools
 Description: download/stream available BBC iPlayer TV and radio programmes
  get_iplayer lists, searches and records BBC iPlayer TV/Radio, BBC Podcast
  programmes. Other third-party plugins may be available.

## get-iplayer 2.85-maemo2

=== debian/changelog ===
get-iplayer (2.85-maemo2) unstable; urgency=low

  * Set debian/optify to auto.

 -- Robert Irvin <android_808@hotmail.com>  Sun,  2 February 2014 9:26:50 +0000

get-iplayer (2.85-maemo1) unstable; urgency=low

  * Update to latest upstream version.

 -- Robert Irvin <android_808@hotmail.com>  Sun,  10 November 2013 22:37:58 +0000

get-iplayer (2.84-maemo1) unstable; urgency=low

  * Update to latest upstream version.
  * Update list of documentation.

 -- Robert Irvin <android_808@hotmail.com>  Sun,  6 September 2013 13:21:58 +0100

get-iplayer (2.83-maemo1) unstable; urgency=low

  * Update to latest upstream version.

 -- Robert Irvin <android_808@hotmail.com>  Sat, 29 June 2013 18:31:58 +0100

get-iplayer (2.82+20130606.git1197c4c-maemo1) unstable; urgency=low

  * Update to latest upstream snapshot, Debian not new enough.
  * Fixes URL of SWF player preventing downloads.

 -- Robert Irvin <android_808@hotmail.com>  Fri,  7 June 2013 11:58:12 +0100

get-iplayer (2.82-2maemo1) unstable; urgency=low

  * Initial release.

 -- Robert Irvin <android_808@hotmail.com>  Fri,  3 May 2013 16:04:46 +0100

## get-iplayer 2.86

=== debian/changelog ===
get-iplayer (2.86-1) unstable; urgency=medium

  * New upstream release (Closes: #742975, #726144)
  * Standards-version 3.9.5

 -- Jonathan Wiltshire <jmw@debian.org>  Thu, 24 Apr 2014 12:37:42 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Jonathan Wiltshire <jmw@debian.org>
 Build-Depends: debhelper (>= 9)
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://www.infradead.org/get_iplayer
 Vcs-Git: git://anonscm.debian.org/collab-maint/get-iplayer.git -b debian
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/get-iplayer.git

## get-iplayer 2.86-maemo1

=== debian/changelog ===
get-iplayer (2.86-maemo1) unstable; urgency=low

  * Update to latest upstream version.

 -- Robert Irvin <android_808@hotmail.com>  Sun,  18 May 2014 20:24:38 +0000

## get-iplayer 2.87

=== debian/changelog ===
get-iplayer (2.87-2) unstable; urgency=medium

  * Fix feed fetch, parse and search across all channels after invasive
    changes by the BBC. All patches cherry-picked from upstream
    (Closes: #767331)

 -- Jonathan Wiltshire <jmw@debian.org>  Thu, 04 Dec 2014 23:21:16 +0000

get-iplayer (2.87-1) unstable; urgency=medium

  * New upstream release (Closes: #743905, 623179)
  * Standards version 3.9.6 (no changes)

 -- Jonathan Wiltshire <jmw@debian.org>  Mon, 20 Oct 2014 20:38:17 +0100

## get-iplayer 2.90-maemo1

=== debian/changelog ===
get-iplayer (2.90-maemo1) unstable; urgency=low

  * Update to latest upstream version.

 -- Robert Irvin <android_808@hotmail.com>  Mon,  03 Nov 2014 20:07:40 +0000

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1




CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	#docbook-to-man debian/get-iplayer-2.82.sgml > get-iplayer-2.82.1

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/get-iplayer-2.82.
	#$(MAKE) DESTDIR=$(CURDIR)/debian/get-iplayer

	install -m755 -D get_iplayer $(CURDIR)/debian/get-iplayer/usr/bin/get_iplayer
	install -m644 -D README.md $(CURDIR)/debian/get-iplayer/usr/share/doc/get_iplayer/README.md
	install -m644 -D README-get_iplayer.cgi.txt $(CURDIR)/debian/get-iplayer/usr/share/doc/get_iplayer/README-get_iplayer.cgi.txt
	install -D -m644 get_iplayer.1 $(CURDIR)/debian/get-iplayer/usr/share/man/man1/get_iplayer.1
	install -m755 -d $(CURDIR)/debian/get-iplayer/usr/share/get_iplayer/plugins
	install -m644 plugins/*.plugin $(CURDIR)/debian/get-iplayer/usr/share/get_iplayer/plugins/
	install -m755 plugins/plugin.template $(CURDIR)/debian/get-iplayer/usr/share/get_iplayer/plugins/


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
#	dh_installchangelogs CHANGELOG-get_iplayer.cgi.txt
#	dh_installdocs
#	dh_installexamples
	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_perl
#	dh_makeshlibs
	dh_installdeb
	maemo-optify
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## get-iplayer 2.91-maemo1

=== debian/changelog ===
get-iplayer (2.91-maemo1) unstable; urgency=low

  * Update to latest upstream version.

 -- Robert Irvin <android_808@hotmail.com>  Mon,  23 Dec 2014 12:14:51 +0000

=== debian/control ===
Source: get-iplayer
Section: user/multimedia
Priority: extra
Maintainer: Robert Irvin <android_808@hotmail.com>
Build-Depends: debhelper (>= 5)
Standards-Version: 3.7.2

Package: get-iplayer
Architecture: all
Depends: rtmpdump, libwww-perl
Description: download/stream available BBC iPlayer TV and radio programmes
 get_iplayer lists, searches and records BBC iPlayer TV/Radio, BBC Podcast
 programmes. Other third-party plugins may be available.
 .
 get_iplayer has three modes: recording a complete programme for later
 playback, streaming a programme directly to a playback application,
 such as mplayer; and as a Personal Video Recorder (PVR), subscribing to
 search terms and recording programmes automatically. It can also stream
 or record live BBC iPlayer output.

## get-iplayer 2.92

=== debian/changelog ===
get-iplayer (2.92-1) unstable; urgency=medium

  * New upstream release (Closes: #779665, #773789)
  * Remove compatibility patches from October:
     - cache-search.path   
     - data-feeds.patch   
     - future-schedule.patch   
     - live-tv.patch

 -- Jonathan Wiltshire <jmw@debian.org>  Thu, 09 Apr 2015 19:07:01 +0100

## get-iplayer 2.94

=== Makefile ===
--- 
+++ 
@@ -6,8 +6,8 @@
 	@git update-index --refresh --unmerged
 	@if git diff-index --name-only HEAD | grep ^ ; then \
 		echo Uncommitted changes in above files; exit 1; fi
-	sed -i.bak -e 's/^\(my $$version = \).*/\1$(VERSION);/' get_iplayer
-	sed -i.bak -e 's/^\(my $$VERSION = \).*/\1$(VERSION);/' get_iplayer.cgi
+	sed -i.bak -e 's/^\(my $$version = \).*/\1$(VERSION);/' -e 's/^\(my $$version_text\) = .*/\1;/' get_iplayer
+	sed -i.bak -e 's/^\(my $$VERSION = \).*/\1$(VERSION);/' -e 's/^\(my $$VERSION_TEXT\) = .*/\1;/' get_iplayer.cgi
 	rm -f get_iplayer.bak get_iplayer.cgi.bak
 	@./get_iplayer --manpage get_iplayer.1
 	git diff --exit-code get_iplayer.1 > /dev/null || \

=== debian/changelog ===
get-iplayer (2.94-1) unstable; urgency=medium

  * New upstream release (Closes: #787814)

 -- Jonathan Wiltshire <jmw@debian.org>  Sun, 07 Jun 2015 20:10:25 +0100

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,18 @@
 Source: get-iplayer
-Section: user/multimedia
-Priority: extra
-Maintainer: Robert Irvin <android_808@hotmail.com>
-Build-Depends: debhelper (>= 5)
-Standards-Version: 3.7.2
+Section: video
+Priority: optional
+Maintainer: Jonathan Wiltshire <jmw@debian.org>
+Build-Depends: debhelper (>= 9)
+Standards-Version: 3.9.6
+Homepage: http://www.infradead.org/get_iplayer
+Vcs-Git: git://anonscm.debian.org/collab-maint/get-iplayer.git -b debian
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/get-iplayer.git
 
 Package: get-iplayer
 Architecture: all
-Depends: rtmpdump, libwww-perl
+Depends: rtmpdump | flvstreamer, libwww-perl, libxml-simple-perl, ${perl:Depends}, ${misc:Depends}
+Recommends: id3v2, libmp3-info-perl, atomicparsley
+Suggests: mplayer, ffmpeg | libav-tools
 Description: download/stream available BBC iPlayer TV and radio programmes
  get_iplayer lists, searches and records BBC iPlayer TV/Radio, BBC Podcast
  programmes. Other third-party plugins may be available.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

override_dh_install:
	dh_install
	chmod -x $(CURDIR)/debian/get-iplayer/usr/share/get_iplayer/plugins/*

%:
	dh $@

## get-iplayer 2.97

=== debian/changelog ===
get-iplayer (2.97-1) unstable; urgency=medium

  * New upstream release (Closes: #787755, #820077)
  * Update debian/watch
  * Remove mplayer from Suggests
  * Remove deprecated packagemanager option from default config
  * Add Recommends on libxml-libxml-perl
  * Add NEWS entry about changed default formats
  * Remove support for libav-tools; make ffmpeg a dependency
  * Update homepage
  * Update copyright years
  * Stop installing plugins (they are gone)
  * Standards version 3.9.8 (no changes) 

 -- Jonathan Wiltshire <jmw@debian.org>  Fri, 28 Oct 2016 20:14:03 +0100

=== debian/control ===
--- 
+++ 
@@ -3,16 +3,15 @@
 Priority: optional
 Maintainer: Jonathan Wiltshire <jmw@debian.org>
 Build-Depends: debhelper (>= 9)
-Standards-Version: 3.9.6
-Homepage: http://www.infradead.org/get_iplayer
+Standards-Version: 3.9.8
+Homepage: https://github.com/get-iplayer/get_iplayer/wiki
 Vcs-Git: git://anonscm.debian.org/collab-maint/get-iplayer.git -b debian
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/get-iplayer.git
 
 Package: get-iplayer
 Architecture: all
-Depends: rtmpdump | flvstreamer, libwww-perl, libxml-simple-perl, ${perl:Depends}, ${misc:Depends}
-Recommends: id3v2, libmp3-info-perl, atomicparsley
-Suggests: mplayer, ffmpeg | libav-tools
+Depends: ffmpeg (>= 2.5), rtmpdump | flvstreamer, libwww-perl, libxml-simple-perl, ${perl:Depends}, ${misc:Depends}
+Recommends: id3v2, libmp3-info-perl, atomicparsley, libxml-libxml-perl
 Description: download/stream available BBC iPlayer TV and radio programmes
  get_iplayer lists, searches and records BBC iPlayer TV/Radio, BBC Podcast
  programmes. Other third-party plugins may be available.

=== debian/watch ===
# See uscan(1) for format

# Compulsory line, this is a version 3 file
version=3

opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/get-iplayer-$1\.tar\.gz/ \
  https://github.com/get-iplayer/get_iplayer/releases .*/v?(\d\S+)\.tar\.gz

## get-iplayer 3.35

=== debian/changelog ===
get-iplayer (3.35-1+deb10u1) buster; urgency=medium

  * Update Debian Copyright for 2024
  * c58424a0: Release 3.35 [notnac]
  * 251078b5: fixed typos [notnac]
  * bf49da39: parse "season" in programme title [notnac]
  * dff2ca9b: fixed typo in option spec [notnac]
  * 5eab30b6: change indexing messages [notnac]
  * eac06ffc: filter unwanted links from series nav [notnac]
  * f65c7d92: added missing encode of --tag-only-filename value [notnac]
  * 03613863: Update PULL_REQUEST_TEMPLATE.md [notnac]

 -- Mark Grant <m.grant.prg@gmail.com>  Tue, 16 Jan 2024 15:05:59 +0000

get-iplayer (3.34-1+deb10u1) buster; urgency=medium

  * 0cbb5bb3: Release 3.34 [notnac]
  * 8210681a: remove duplicate html metadata scrape [notnac]
  * 176a03ab: use Sounds page for <player> with radio programmes [notnac]
  * 0f70bd8a: fix download failure with --versions=default [notnac]
  * Re-order Depends to ease cherry picking into Ubuntu [Mark Grant]

 -- Mark Grant <m.grant.prg@gmail.com>  Wed, 01 Nov 2023 15:04:07 +0000

get-iplayer (3.33-1+deb10u1) buster; urgency=medium

  * 390bc096: Release 3.33 [notnac]
  * b0f1c562: Web PVR: update copyright notice [notnac]
  * fd5198db: Revert "display options without equals signs" [notnac]
  * 69daded6: change warning text for no available streams [notnac]

 -- Mark Grant <m.grant.prg@gmail.com>  Thu, 12 Oct 2023 15:26:14 +0100

get-iplayer (3.32-1+deb10u1) buster; urgency=medium

  * b5410669: Release 3.32 [notnac]
  * f73bddd3: repaired series/brand downloading for CBeebies/CBBC programmes [notnac]
  * 46135c68: added <releaseyear> substitution parameter [notnac]
  * 68f31b00: adjusted HLS mediasets for BBC chnages [notnac]
  * 86b0d051: added "processing" message at beginning of each download [notnac]
  * a05de977: added wiki page URL to recording quality validation error message [notnac]
  * 2edf7bbf: updated copyright tag value [notnac]
  * 97b0eecf: Be more rigorous with encoding/decoding dir/file names [notnac]
  * f8a10481: update base encoding/decoding functionality [notnac]
  * 2d55ae7c: added <seriessort> substitution paranmeter [notnac]
  * 238ea96a: fix programme version parsing [notnac]
  * a23666b6: always use PID for episode ID tag (tven atom) [notnac]
  * d77a14a5: help text edits [notnac]
  * 25fb8cd1: updated copyright notices [notnac]
  * 966be4f8: Web PVR: remove use of nopurge [notnac]
  * e0c2f801: Web PVR: tooltip edits [notnac]
  * 85062cee: change warning text for no available streams [notnac]
  * 3734efb9: check for invalid quality values on command line [notnac]
  * c523ca2c: don't display invalid option warning unless in verbose mode [notnac]
  * a932362e: check for renamed options on command line [notnac]
  * 8dee1364: remove command line validation [notnac]
  * 5147f9c1: remove --modes, --tv-mode, --radio-mode, --fps25 [notnac]
  * b52dcced: remove --no-purge, --trim-history [notnac]
  * 6890d105: display options without equals signs [notnac]
  * 28aee326: ignore PID in default options file [notnac]
  * 918dfe95: only use actual image URLs for episode thumbnails [notnac]
  * 70093880: change warning message about unavailable programme [notnac]
  * 4762990b: Web PVR: add 1920x1080 video option for streaming [notnac]
  * b1945b32: Windows: try active code page for default tag encoding [notnac]
  * fcc720a1: do not display geoblocked/unavailable flags with --info without --verbose [notnac]
  * 1894cbdc: escape non-word characters in episode title when checking for old downloads with --no-sanitise specified [notnac]
  * 0e3de4d0: use correct catfile() [notnac]
  * fabba65d: skip unnecessary overwrite check with --info [notnac]
  * 1db835b8: update formatting for list of modes found [notnac]
  * 6c9aca8c: Web PVR: Fixed Quick URL tooltip [notnac]
  * 9eeb5216: Update bug_report.yaml [notnac]
  * 30087d92: Update bug_report.yaml [notnac]
  * da6807b1: Update new_issue.yml [dinkypumpkin]
  * 63b77c7f: Update PULL_REQUEST_TEMPLATE.md [notnac]
  * 082ccf0d: Create new_issue.yml [notnac]
  * 202ca9b6: Delete auto-close-lock-pr-action.yml [notnac]
  * c57d3176: Delete auto-close-lock-issue-action.yml [notnac]

 -- Mark Grant <m.grant.prg@gmail.com>  Thu, 12 Oct 2023 10:02:50 +0100

get-iplayer (3.31-1+deb10u1) buster; urgency=medium

  * 4d2e55a: Release 3.31 [notnac]
  * f7dcdd5: set 1080p flag with recent versions of AtomicParsley [notnac]
  * b0e83ef: Merge branch 'master' into develop [notnac]
  * 0cf04ec: Fix metadata file always being overwritten [John Veness]
  * f46131b: guard against bogus <timeadded> values [notnac]
  * Update Debian files Copyright for 2023.

 -- Mark Grant <m.grant.prg@gmail.com>  Sun, 22 Jan 2023 13:35:34 +0000

get-iplayer (3.30-1+deb10u1) buster; urgency=medium

  * New upstream release.
  * 262616c8a2ec: Release 3.30 [notnac]
  * 2d4d95aab2d8: iterate total file size in FHD download progress display [notnac]
  * c9d2f17ffbd7: ensure video present in 1080p HLS streams [notnac]
  * 85656e5c108e: updated help text [notnac]
  * 6618efc51106: corrected help text [notnac]
  * 78c63cc54c1b: Fix downloadabortonfail option [David Llewellyn-Jones]
  * 05eb7ddc19f6: Update auto-close-lock-pr-action.yml [notnac]
  * 67d5d7ac2fee: Update README.md [notnac]

 -- Mark Grant <m.grant.prg@gmail.com>  Sun, 29 May 2022 09:05:07 +0100

get-iplayer (3.29-1+deb10u1) buster; urgency=medium

  * New upstream release.
  * a17ee8173ea1: Release 3.29 [notnac]
  * 9b6b46a90f60: remove --purge-files and ignore --trim-history, --no-purge [notnac]
  * a33cf8f5d6ba: remove multi-version fields from metadata files [notnac]
  * 43ddebce1922: added warnings for command-line modes, fps25 options [notnac]
  * e89c643cf766: added "fhd" (1080p) streams [notnac]
  * ee25e1ad0f9a: changed recording quality options [notnac]
  * f6657e4f954c: save geoblock/unavailable check results per-version [notnac]
  * eeaadca9d4f6: allow HLS for --audio-only [notnac]
  * 89975ba1edcb: fixed handling of "hls" mode prefix [notnac]


=== debian/control ===
Source: get-iplayer
Section: video
Priority: optional
Maintainer: Mark Grant <m.grant.prg@gmail.com>
Build-Depends: debhelper (>= 12~), quilt
Standards-Version: 4.3.0
Homepage: https://github.com/get-iplayer/get_iplayer

Package: get-iplayer
Architecture: all
Depends: libwww-perl,
	libxml-simple-perl, libxml-libxml-perl, libmojolicious-perl,
	libcgi-pm-perl,
	atomicparsley (>= 0.9.4),
	ffmpeg,
	mgrant-obs-deb-keyring,
	${perl:Depends}, ${misc:Depends}
Recommends:
Suggests:
Description: get_iplayer: BBC iPlayer Indexing Tool and PVR
 .
 Features
 + Downloads TV and radio programmes from BBC iPlayer
 + Allows multiple programmes to be downloaded using a single command
 + Indexing of most available iPlayer catch-up programmes (not BBC Three,
   Red Button or iPlayer Exclusive)
 + Caching of index with automatic updating (default 4h)
 + Regex search on programme name
 + Regex search on programme description and episode title
 + Filter search results by channel
 + Direct download via programme ID or URL
 + PVR capability (may be used with cron or Task Scheduler)
 + HTTP proxy support
 + Requires ffmpeg for conversion to MP4 and AtomicParsley for metadata tagging
 .
 IMPORTANT
 Please refer to the release notes at
 https://github.com/get-iplayer/get_iplayer/wiki/releasenotes
 .
 DOCUMENTATION AND SUPPORT
 Documentation: https://github.com/get-iplayer/get_iplayer/wiki
 Support: https://squarepenguin.co.uk/forums/
